Subject: IBIS BIRD50 - Add Model Bus Hold

From: [email-masked] (Bob Ross)
Date: Thu, 2 Apr 98 14:01:34 PST

Dear IBIS folks:

BIRD50 describes a bus hold extension which is also useful for other similar
structures.

Bob Ross
Interconnectix/Mentor Graphics

******************************************************************************
******************************************************************************

BIRD ID#:       50
ISSUE TITLE:    Add Model Dynamic Clamps
REQUESTER:      Neven Orhanovic, Bob Ross, Mentor G., Arpad Muranyi, Intel
DATE SUBMITTED: 4/2/98
DATE ACCEPTED BY IBIS OPEN FORUM: Pending

******************************************************************************
******************************************************************************

STATEMENT OF THE ISSUE:

New devices incorporate bus hold or other latching mechanisms to hold the
input at a particular state using some active pullup and pulldown components.

******************************************************************************

STATEMENT OF THE RESOLVED SPECIFICATIONS:

The Bus Hold functionality is added in the new Section 6a:

| Bus Hold:
|
| The bus hold functionality is defined by the Model_type 'Bus_hold'.  The
| [Pullup] and [Pulldown] tables both are used to define a weak internal 
| buffer that is triggered to be set in the opposite state of the signal.
| The transistion is defined normally by a [Ramp] keyword, but, the [Rising
| Waveform] and [Falling Waveform] keywords also may be used.
|
| The transition is triggered by action at the die using the [Add Model Spec]
| V_trigger_r and V_trigger_f subparameters as follows:
|
| If the starting voltage is below V_trigger_f, then the Bus_hold model is
| set to the low stage causing additional pulldown current.  If the starting
| voltage is above V_trigger_r, the Bus_hold model is set to the high
| state for additional pullup current.  When the input passes though
| V_trigger_f during a high to low transition at the die, the Bus_hold output
| changes to the low state.  Similarly when the input passes though
| V_trigger_r during a low to high transition at the die, the Bus_hold output
| change to the high state.
|
| No additional keywords are needed for this functionality.

|------------------------------------------------------------------------------
|
| Complete Bus_hold Model Example:
|
[Model]       Bus_hold_1
Model_type    Bus_hold
C_comp        0 0 0
|
[Add Model Spec]
|   Subparameter          typ        min        max
|
V_trigger_f               1.3        1.2        1.4  | Falling edge trigger
V_trigger_r               3.1        2.6        4.6  | Rising edge trigger
|
[Pulldown]   
|
-5V     -100uA     -80uA     -120uA
-1V      -30uA     -25uA     -40uA
0V       0           0         0
1V       30uA       25uA     40uA
3V       50uA       45uA     50uA
5V       100uA      80uA     120uA
10v      120uA      90uA    150uA
|
[Pullup]
|
-5V      100uA      80uA     120uA
-1V      30uA       25uA     40uA
0V       0           0         0
1V       -30uA      -25uA    -40uA
3V       -50uA      -45uA    -50uA
5V       -100uA     -80uA    -120uA
10v      -120uA     -90uA    -150uA
|
|****************************************************************************
|
[Ramp]
|                       typ             min             max
dV/dt_r                 2.0/0.50n       2.0/0.75n       2.0/0.35n
dV/dt_f                 2.0/0.50n       2.0/0.75n       2.0/0.35nn
|
|****************************************************************************

|==============================================================================

******************************************************************************

ANALYSIS PATH/DATA THAT LED TO SPECIFICATION:

A weak driver can be added using the [Add Model] keyword.

******************************************************************************

ANY OTHER BACKGROUND INFORMATION:

This proposal is based on a conversation with Bob Ross, Chris Reid, and
Arpad Muranyi on March 11, 1998.

******************************************************************************